#!/bin/sh

# To be run from the code subfolder.

#Compiles the lambdaman.gcc program and places it in the solution folder
mkdir -p ../solution
./lmc dotScanner.lm > ../solution/lambdaman.gcc

#Prepares a tar file for submission.
tar -cvzf ../../submission.tar.gz --exclude-vcs ../../icfp2014

#Prints the sha1 hash of the tar to standard out.
sha1sum ../../submission.tar.gz


